using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace BB_Romanovskaya
{
    public partial class ajhvf : Form
    {
        public ajhvf()
        {
            InitializeComponent();
        }

        private void service_b_importBindingNavigatorSaveItem_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.service_b_importBindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this.bB_RomanovskayaDataSet);

        }

        private void Form3_Load(object sender, EventArgs e)
        {
            // TODO: данная строка кода позволяет загрузить данные в таблицу "bB_RomanovskayaDataSet.service_b_import". При необходимости она может быть перемещена или удалена.
            this.service_b_importTableAdapter.Fill(this.bB_RomanovskayaDataSet.service_b_import);

        }

        private void button1_Click(object sender, EventArgs e)
        {
            service_b_importBindingSource.AddNew();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            service_b_importBindingSource.RemoveCurrent();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.service_b_importBindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this.bB_RomanovskayaDataSet);
        }

        private void button4_Click(object sender, EventArgs e)
        {
            uslugi f = new uslugi();
            f.Show();
            this.Hide();
        }
    }
}
